Functions
FIFO Access
Peripheral Driver » LL Driver » ADC » Functions
Collaboration diagram for FIFO Access:

## Functions
__STATIC_INLINE uint32_t | ll_adc_read_fifo (void)
| Return samples value of ADC by reading FIFO. More...
__STATIC_INLINE void | ll_adc_set_thresh (uint32_t thresh)
| Set threshold of ADC FIFO. More...
__STATIC_INLINE uint32_t | ll_adc_get_thresh (void)
| Return threshold of ADC FIFO. More...
__STATIC_INLINE uint32_t | ll_adc_is_fifo_notempty (void)
| Check if ADC FIFO is not empty. More...
__STATIC_INLINE uint32_t | ll_adc_get_fifo_count (void)
| Return count of ADC FIFO. More...

## Detailed Description

## Function Documentation

## ◆ ll_adc_get_fifo_count()

__STATIC_INLINE uint32_t ll_adc_get_fifo_count | ( | void |  | ) |

Return count of ADC FIFO.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | SENSE_ADC_STAT | FF_COUNT | +-------------------—+--------------------------—+ \endrst

Return values

  Returned | value can be a value between: 0 ~ 64

Definition at line 1030 of file gr55xx_ll_adc.h.

## ◆ ll_adc_get_thresh()

__STATIC_INLINE uint32_t ll_adc_get_thresh | ( | void |  | ) |

Return threshold of ADC FIFO.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | SENSE_FF_THRESH | SENSE_FF_THRESH | +-------------------—+--------------------------—+ \endrst

Return values

  Returned | value can be a value between: 0 ~ 64

Definition at line 994 of file gr55xx_ll_adc.h.

## ◆ ll_adc_is_fifo_notempty()

__STATIC_INLINE uint32_t ll_adc_is_fifo_notempty | ( | void |  | ) |

Check if ADC FIFO is not empty.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | SENSE_ADC_STAT | VAL | +-------------------—+--------------------------—+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 1012 of file gr55xx_ll_adc.h.

## ◆ ll_adc_read_fifo()

__STATIC_INLINE uint32_t ll_adc_read_fifo | ( | void |  | ) |

Return samples value of ADC by reading FIFO.

Note
  There are two value in the register, both of them is 16bits.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | SENSE_ADC_FIFO | SENSE_ADC_FIFO | +-------------------—+--------------------------—+ \endrst

Return values

  Smaples | value of input

Definition at line 957 of file gr55xx_ll_adc.h.

## ◆ ll_adc_set_thresh()

__STATIC_INLINE void ll_adc_set_thresh | ( | uint32_t | thresh | ) |

Set threshold of ADC FIFO.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | SENSE_FF_THRESH | SENSE_FF_THRESH | +-------------------—+--------------------------—+ \endrst

Parameters

  thresh | This parameter can be a value between: 0 ~ 64

Return values

  None |

Definition at line 976 of file gr55xx_ll_adc.h.